//
//  FtpRequest.h
//  Ftp
//
//  Created by Yang on 2018/3/20.
//  Copyright © 2018年 com.locationTest. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface FtpRequest : NSObject
//用户名
@property (nonatomic, strong) NSString *ftpUser;
//密码
@property (nonatomic, strong) NSString *ftpPassword;
// 服务器文件全路径，ftp://IP:Port/文件地址 例:ftp://xx.xx.xx.xx:21/XXX/xx.jpg;  (ftp://) 可以略
@property (nonatomic, strong) NSString *serversPath;
// 本地文件全路径
@property (nonatomic, strong) NSString *localPath;

- (void)download:(BOOL)resume
        progress:(void(^)(Float32 percent, NSUInteger finishSize))progress
        complete:(void(^)(id respond, NSError *error))complete;
/*
 resume:   上传文件覆盖原有文件
 progress: 传输进度
 complete: 返回传输结果
 **/
- (void)upload:(BOOL)resume
      progress:(void(^)(Float32 percent, NSUInteger finishSize))progress
      complete:(void(^)(id respond, NSError *error))complete;

- (void)list:(void(^)(id respond, NSError *error))complete;

- (void)createDirctory:(NSString *)name
              complete:(void(^)(id respond, NSError *error))complete;

- (void)deleteDirctory:(NSString *)name
              complete:(void(^)(id respond, NSError *error))complete;

- (void)deleteFile:(NSString *)name
          complete:(void(^)(id respond, NSError *error))complete;

- (void)rename:(NSString *)newName
      complete:(void(^)(id respond, NSError *error))complete;

- (void)pasue;

- (void)quit;

@end
